Bug 1566429 - [RFE] Gluster jobs are scheduled even if there is no cluster configured to use it
Summary: [RFE] Gluster jobs are scheduled even if there is no cluster configured to us...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:58 UTC by Roy Golan
Modified: 2018-06-13 07:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 12:05:23 UTC
oVirt Team: Infra
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 90066 0 master MERGED gluster: Encapsulate job scheudling inside a GlusterJob 2018-06-13 07:28:30 UTC
oVirt gerrit 90067 0 master ABANDONED gluster: Dynamically turn on/off scheduled jobs 2018-09-23 01:56:20 UTC

Description Roy Golan 2018-04-12 09:58:34 UTC
Description of problem:

The engine has at least 6 scheduled jobs for the various gluster management taks.
Some of them are fired at rate of 5 seconds, 60, 300, 600. Every job like that would have to take cpu time, db connection, etc,  that we can really spare when the system doesn't need those jobs at all. Our default installation, with hosted engine, will configure a cluster support for both Virt and Gluster, but the default cluster itself is set to use virt only

Version-Release number of selected component (if applicable):
all

How reproducible:
100%

Steps to Reproduce:
1. Setup which also has Gluster service enabled (set by engine-config or setup question)
2. All cluster must not have the "Gluster service" checked
3. Set the log level to DEBUG and see every 5 seconds gluster job, and wait more you'll see the rest

Actual results:
Gluster job are rescheduled while no one is using it.

Expected results:
Gluster jobs are paused and will be resumed only when a cluster with Gluser service will be checked.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.